
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This patch fix bogus types in the definition of __cmpxchg_u32() on ppc32.

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ppc/system.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/asm-ppc/system.h~ppc32-bogus-definition-of-__cmpxchg_u32 include/asm-ppc/system.h
--- 25/include/asm-ppc/system.h~ppc32-bogus-definition-of-__cmpxchg_u32	2005-02-24 19:34:25.000000000 -0800
+++ 25-akpm/include/asm-ppc/system.h	2005-02-24 19:34:25.000000000 -0800
@@ -152,9 +152,9 @@ extern inline void * xchg_ptr(void * m, 
 #define __HAVE_ARCH_CMPXCHG	1
 
 static __inline__ unsigned long
-__cmpxchg_u32(volatile int *p, int old, int new)
+__cmpxchg_u32(volatile unsigned int *p, unsigned int old, unsigned int new)
 {
-	int prev;
+	unsigned int prev;
 
 	__asm__ __volatile__ ("\n\
 1:	lwarx	%0,0,%2 \n\
_
